jfinal启动报错

小石头哥 发布于 2013/06/26 13:41
阅读 1K+
收藏 0

java.lang.UnsupportedClassVersionError: cn/janus/app/config/JFConfig : Unsupported major.minor version 51.0 (unable to load class cn.janus.app.config.JFConfig)
 at org.apache.catalina.loader.WebappClassLoader.findClassInternal(WebappClassLoader.java:1854)
 at org.apache.catalina.loader.WebappClassLoader.findClass(WebappClassLoader.java:890)
 at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1354)
 at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1233)
 at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:320)
 at java.lang.Class.forName0(Native Method)
 at java.lang.Class.forName(Class.java:169)
 at com.jfinal.core.JFinalFilter.createJFinalConfig(JFinalFilter.java:88)
 at com.jfinal.core.JFinalFilter.init(JFinalFilter.java:46)
 at org.apache.catalina.core.ApplicationFilterConfig.getFilter(ApplicationFilterConfig.java:275)
 at org.apache.catalina.core.ApplicationFilterConfig.setFilterDef(ApplicationFilterConfig.java:397)
 at org.apache.catalina.core.ApplicationFilterConfig.<init>(ApplicationFilterConfig.java:108)
 at org.apache.catalina.core.StandardContext.filterStart(StandardContext.java:3800)
 at org.apache.catalina.core.StandardContext.start(StandardContext.java:4450)
 at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:791)
 at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:771)
 at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:526)
 at org.apache.catalina.startup.HostConfig.deployDirectory(HostConfig.java:987)
 at org.apache.catalina.startup.HostConfig.deployDirectories(HostConfig.java:909)
 at org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:495)
 at org.apache.catalina.startup.HostConfig.start(HostConfig.java:1206)
 at org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:314)
 at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:119)
 at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1053)
 at org.apache.catalina.core.StandardHost.start(StandardHost.java:722)
 at org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1045)
 at org.apache.catalina.core.StandardEngine.start(StandardEngine.java:443)
 at org.apache.catalina.core.StandardService.start(StandardService.java:516)
 at org.apache.catalina.core.StandardServer.start(StandardServer.java:710)
 at org.apache.catalina.startup.Catalina.start(Catalina.java:583)
 at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
 at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
 at java.lang.reflect.Method.invoke(Method.java:597)
 at org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:288)
 at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:413)

 

启动是报jdk版本不一致,我jdk是1.6的。

加载中
0
JFinal
JFinal
JVM 不支持该版本的 class 文件,尝试升级 JVM或降低 class版本
0
小石头哥
小石头哥

引用来自“孤独的3”的答案

http://blog.csdn.net/wentasy/article/details/7850212

给你搜了一个,你试试看!

没有用啊
0
沉寂brain
沉寂brain
更改java compiler
0
tidezyc
tidezyc
eclipse里的话修改Compiler Compliance Level为自己的版本就好了
0
Duziee
Duziee
在Eclipse里面把compiler改成5.0试试呢。
0
小石头哥
小石头哥

引用来自“GTX690”的答案

在Eclipse里面把compiler改成5.0试试呢。
木有用
返回顶部
顶部